Falha ao tentar atualizar a Distro atual para Ubuntu-21.04 (estando na 20.04)

1. Falha ao tentar atualizar a Distro atual para Ubuntu-21.04 (estando na 20.04)

Ronilson de Campos Nunes
ronysonn40

(usa Ubuntu)

Enviado em 07/11/2021 - 18:08h

Boa tarde, Comunidade Viva o Linux, peço ajuda à vocês, sobre esta falha, pois já procurei algumas dicas no youtube, mas não funcionou, por exemplo:
sudo su:
nano /etc/apt/sources.list

-E editei (acrescentei) no texto "[trusted=yes]" no nome dos diretorios que apresentam falha, mas não funcionou. Exemplo:
deb-src [trusted=yes] http://br.archive.ubuntu.com/ubuntu/">http://br.archive.ubuntu.com/ubuntu/ yakkety-updates main restricted
-DETALHE: Como não funcionou, apaguei o "[trusted=yes]".


- Então a mensagem que aparece quando tento atualizar para Ubuntu-21.04 é esta:
:~$ sudo apt-get update
[sudo] senha para usuario:
Atingido:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 http://br.archive.ubuntu.com/ubuntu focal InRelease
Atingido:3 http://br.archive.ubuntu.com/ubuntu focal-updates InRelease
Ign:4 http://security.ubuntu.com/ubuntu yakkety-security InRelease
Ign:5 http://br.archive.ubuntu.com/ubuntu yakkety-updates InRelease
Ign:6 http://br.archive.ubuntu.com/ubuntu yakkety-backports InRelease
Atingido:7 http://security.ubuntu.com/ubuntu focal-security InRelease
Atingido:8 http://br.archive.ubuntu.com/ubuntu focal-security InRelease
Ign:9 http://archive.canonical.com/ubuntu yakkety InRelease
Atingido:10 http://br.archive.ubuntu.com/ubuntu focal-backports InRelease
Err:11 http://security.ubuntu.com/ubuntu yakkety-security Release
404 Not Found [IP: 91.189.91.38 80]
Err:12 http://br.archive.ubuntu.com/ubuntu yakkety-updates Release
404 Not Found [IP: 200.236.31.4 80]
Err:13 http://br.archive.ubuntu.com/ubuntu yakkety-backports Release
404 Not Found [IP: 200.236.31.4 80]
Err:14 http://archive.canonical.com/ubuntu yakkety Release
404 Not Found [IP: 91.189.92.150 80]
Lendo listas de pacotes... Pronto
E: The repository 'http://security.ubuntu.com/ubuntu yakkety-security Release' does not have a Release file.
N: Atualizações a partir de tal repositório não podem ser feitas de forma segura e estão, portanto, desativadas por definição.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://br.archive.ubuntu.com/ubuntu yakkety-updates Release' does not have a Release file.
N: Atualizações a partir de tal repositório não podem ser feitas de forma segura e estão, portanto, desativadas por definição.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://br.archive.ubuntu.com/ubuntu yakkety-backports Release' does not have a Release file.
N: Atualizações a partir de tal repositório não podem ser feitas de forma segura e estão, portanto, desativadas por definição.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://archive.canonical.com/ubuntu yakkety Release' does not have a Release file.
N: Atualizações a partir de tal repositório não podem ser feitas de forma segura e estão, portanto, desativadas por definição.
N: See apt-secure(8) manpage for repository creation and user configuration details.

-DETALHE: enquanto é feito o processo, aparece a mensagem:
Algumas entradas de terceiros em seu sources.list foram
desabilitadas. Você pode reabilitá-las após a atualização com a
ferramenta 'software-properties' ou com o seu gerenciador de pacotes.

-Também já tentei: sudo do-release-upgrade
mas no final a mensagem é a mesma e o erro também e como relatório final aparece:
W:Atualizações a partir de tal repositório não podem ser feitas de
forma segura e estão, portanto, desativadas por definição., W:See
apt-secure(8) manpage for repository creation and user configuration
details., E:The repository 'http://archive.canonical.com/ubuntu
yakkety Release' does not have a Release file., W:Atualizações a
partir de tal repositório não podem ser feitas de forma segura e
estão, portanto, desativadas por definição., W:See apt-secure(8)
manpage for repository creation and user configuration details.,
E:The repository 'http://br.archive.ubuntu.com/ubuntu yakkety-updates
Release' does not have a Release file., W:Atualizações a partir de
tal repositório não podem ser feitas de forma segura e estão,
portanto, desativadas por definição., W:See apt-secure(8) manpage for
repository creation and user configuration details., E:The repository
'http://br.archive.ubuntu.com/ubuntu yakkety-backports Release' does
not have a Release file., W:Atualizações a partir de tal repositório
não podem ser feitas de forma segura e estão, portanto, desativadas
por definição., W:See apt-secure(8) manpage for repository creation
and user configuration details., E:The repository
'http://security.ubuntu.com/ubuntu yakkety-security Release' does not
have a Release file.

>>> Peço a ajuda da comunidade vivaolinux.com.br para resolver este problema e desde já, agradeço.








  


2. Re: Falha ao tentar atualizar a Distro atual para Ubuntu-21.04 (estando na 20.04)

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 07/11/2021 - 19:09h

Grave pendrive do 21.04 e siga a dica

https://www.vivaolinux.com.br/artigo/InstaleReinstaleRecupere-o-Ubuntu-sem-perder-seus-arquivos


Ubuntu-2004-lts foi lançado em abril de 2020 e terá suporte até abril de 2025

Ubuntu-2104 foi lançado em abril de 2021 e terá suporte até janeiro de 2021

Para isso ser possível passear do 2004 para 2104 vc teria que ter atualizado para o 20.10, que já não tem suporte, para depois atualizar para o 21.04

Só use versões regulares se você for um testador, caso contrário fique com LTS que são mais estáveis e tem mais tempo de suporte








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts